# Uses of Interface
org.eclipse.emf.cdo.lm.modules.ModulesPackage

Packages that use ModulesPackage
Package
Description
org.eclipse.emf.cdo.lm.modules
The generated EMF API of the CDO Lifecycle Management Modules model.
org.eclipse.emf.cdo.lm.modules.impl
The generated EMF implementation of the CDO Lifecycle Management Modules model.
org.eclipse.emf.cdo.lm.modules.util
The generated EMF utilities of the CDO Lifecycle Management Modules model.

## Uses of ModulesPackage in org.eclipse.emf.cdo.lm.modules

Fields in org.eclipse.emf.cdo.lm.modules declared as ModulesPackage
Modifier and Type
Field
Description
`static final ModulesPackage`
ModulesPackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.emf.cdo.lm.modules that return ModulesPackage
Modifier and Type
Method
Description
`ModulesPackage`
ModulesFactory.`getModulesPackage()`
Returns the package supported by this factory.

## Uses of ModulesPackage in org.eclipse.emf.cdo.lm.modules.impl

Classes in org.eclipse.emf.cdo.lm.modules.impl that implement ModulesPackage
Modifier and Type
Class
Description
`class`
`ModulesPackageImpl`
An implementation of the model Package.
Methods in org.eclipse.emf.cdo.lm.modules.impl that return ModulesPackage
Modifier and Type
Method
Description
`ModulesPackage`
ModulesFactoryImpl.`getModulesPackage()`
`static ModulesPackage`
ModulesFactoryImpl.`getPackage()`
Deprecated.
`static ModulesPackage`
ModulesPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of ModulesPackage in org.eclipse.emf.cdo.lm.modules.util

Fields in org.eclipse.emf.cdo.lm.modules.util declared as ModulesPackage
Modifier and Type
Field
Description
`protected static ModulesPackage`
ModulesAdapterFactory.`modelPackage`
The cached model package.
`protected static ModulesPackage`
ModulesSwitch.`modelPackage`
The cached model package